
// Copyright 2015 ESRI
//
// All rights reserved under the copyright laws of the United States
// and applicable international laws, treaties, and conventions.
//
// You may freely redistribute and use this sample code, with or
// without modification, provided you include the original copyright
// notice and use restrictions.
//
// See the Sample code usage restrictions document for further information.
//

/////////////////////////////////////////////////////////////////////////////////
// JavaScript functions
//
function selectBaseMap(itemId) {
    portalDownloadItemInfo.portal = portal;
    portalDownloadItemInfo.downloadItemInfo(itemId);
}

function loadWebMap(webMap) {
    loadBaseMap(webMap);
    loadOperationalLayers(webMap);
}

function loadBaseMap(webMap) {
    map.reset();
    for (var index = 0; index < webMap.baseMap.baseMapLayers.length; index++) {
        addBaseMapLayer(webMap.baseMap.baseMapLayers[index]);
    }
}

function addBaseMapLayer(baseMapLayer) {
    var layer = null;
    if (baseMapLayer.type === "OpenStreetMap") {
        layer = ArcGISRuntime.createObject("OpenStreetMapLayer");
    } else {
        layer = ArcGISRuntime.createObject("ArcGISTiledMapServiceLayer", { "url": baseMapLayer.url });
    }

    if (layer)
        map.addLayer(layer);
}

function loadOperationalLayers(webMap) {
    for (var index = 0; index < webMap.operationalLayers.length; index++) {
        addOperationalLayer(webMap.operationalLayers[index]);
    }
}

function addOperationalLayer(operationalLayer) {
    var layer = ArcGISRuntime.createObject("ArcGISTiledMapServiceLayer", { "url": operationalLayer.url });
    map.addLayer(layer);
}
